$! test human conventional.  First phase is a dummy (1
$! clone added)
$!
$! second phase is conventional end sequencing on P1 (seq) of
$! DNA from P2 CLONESIZE clones over genome sizes .5 to 10x in
$! steps of .5
$!
$! testbed for varying parameters and returning costs
$!
$! Vary amount sequenced but hold COVERAGE constant
$!
$! shotclone_cost - how big the shotgun clones are, what it costs to obtain one
$! primercost   - what a custom primer costs
$! priseq_cost - length of sequence from a custom primer, cost of reaction
$! endseq_cost - length of sequence from end, how much each reaction costs
$! seq         - length of sequence from end
$! intercost   - what it costs to isolate an intermesh clone (to fill gap)
$! fillclone_cost - size of, cost to obtain an intermesh clone
$!
$ primercost      = "15.00"
$ shotclone_cost  = "4000,0.20"
$ priseq_cost     = "500,15.00"
$ endseq_cost     = "500,15.00"
$ fillclone_cost  = "4000,5.00"
$!
$ if(P1 .nes. "")then primercost      = P1
$ if(P2 .nes. "")then shotclone_cost  = P2
$ if(P3 .nes. "")then priseq_cost     = P3
$ if(P4 .nes. "")then endseq_cost     = P4
$ seq             = f$element(0,",",endseq_cost)
$ if(P5 .nes. "")then fillclone_cost = P5
$!
$ genomes2 = 0
$ 
$ top:
$   open/write ofil: killme.com
$   write ofil: "$ r clusters:test_shotgun"
$   write ofil: "killme.dat"
$   write ofil: "test run"
$   write ofil: "3000000000"
$   write ofil: "''primercost'"
$   write ofil: "''priseq_cost'"
$   write ofil: "''fillclone_cost'"
$   write ofil: "50"
$   define/user sys$output nla0:
$   icalc int(0.25 * 'genomes2' * 3000000000 / 'seq')
$   cover = f$edit(icalc_out,"TRIM")
$   write ofil: "''shotclone_cost'"
$   write ofil: "''endseq_cost'"
$   write ofil: "''cover'"
$   write ofil: "0"
$   close ofil:
$   write sys$output "Now calculating for genomes2  = ''genomes2', #clones = ''cover'"
$   define/user sys$output nla0:
$   @killme
$   delete killme.com.
$   genomes2 = genomes2 + 1
$   if(genomes2 .le. 20)then goto top
$   write sys$output "Calculations completed, look in killme.dat files"
